summaryrefslogtreecommitdiff
path: root/nonsystemd/openrc/opentmpfiles-dev.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/openrc/opentmpfiles-dev.initd')
-rw-r--r--nonsystemd/openrc/opentmpfiles-dev.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/nonsystemd/openrc/opentmpfiles-dev.initd b/nonsystemd/openrc/opentmpfiles-dev.initd
new file mode 100644
index 000000000..587d0e9ea
--- /dev/null
+++ b/nonsystemd/openrc/opentmpfiles-dev.initd
@@ -0,0 +1,20 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Released under the 2-clause BSD license.
+
+description="Set up tmpfiles.d entries for /dev"
+
+depend()
+{
+ provide tmpfiles-dev tmpfiles.dev
+ use dev-mount
+ before dev
+ keyword -prefix -vserver
+}
+
+start()
+{
+ ebegin "Setting up tmpfiles.d entries for /dev"
+ tmpfiles --prefix=/dev --create --boot ${tmpfiles_opts}
+ eend $?
+}